﻿Imports Wiker.WIDatabase
Module Module1

    Sub Main()
        Dim WIDB As WIDatabase
        Dim Str As String
        Dim DBInfo As CDatabaseInfo

        ' Create DatabaseInfo object with login info  

        DBInfo = New CDatabaseInfo()
        DBInfo.DatabaseType = eDatabaseType.SQLite
        DBInfo.Location = "\WIDatabase\Samples"
        DBInfo.DBName = "SQLite.db3"
        DBInfo.Password = ""
        DBInfo.Port = 0
        DBInfo.Username = ""

        ' Create WIDatabase object 

        WIDB = New WIDatabase(DBInfo)

        ' Calling Delete.Clear() ensures we are starting a new statement. 

        WIDB.Delete.Clear()

        ' Delete.Table([tableName]) indicates the table which will have data removed 

        WIDB.Delete.Table("tblAddress")

        ' Delete.Condition: conditional clause to select data which will be removed. 

        WIDB.Delete.Condition("AddressID", eOperator.GreaterEqual, 129)

        ' Delete.Execute() deletes the data. 

        If Not WIDB.Delete.Execute() Then
            Str = String.Format("Failed to delete record(s)." & vbLf & "LastError = {0}" & vbLf & "{1}", WIDB.LastError.ToString(), WIDB.LastErrorMessage)
        Else
            Str = "Deleted records"
        End If

        ' Good practice is to close the DB when finished 

        WIDB.Close()

        Console.WriteLine(Str)

    End Sub

End Module
