﻿Imports Wiker.WIDatabase

Module Module1

    Sub Main()
        Dim WIDB As WIDatabase
        Dim Total As Integer, PersonTotal As Integer
        Dim DBInfo As CDatabaseInfo

        ' Create DatabaseInfo object with login info  

        DBInfo = New CDatabaseInfo()
        DBInfo.DatabaseType = eDatabaseType.SQLite
        DBInfo.Location = "\WIDatabase\Samples"
        DBInfo.DBName = "SQLite.db3"
        DBInfo.Password = ""
        DBInfo.Port = 0
        DBInfo.Username = ""

        Total = 0
        PersonTotal = 0
        ' Create WIDatabase object 

        WIDB = New WIDatabase(DBInfo)

        ' Calling Select.Clear() ensures we starting with a new select statement. 

        WIDB.Search.Clear()

        ' Select.Table: The 'Main' table from which the data will originate 

        WIDB.Search.Table("tblPhone")

        ' Return number of records in table using alias 'Count' 

        WIDB.Search.Count("Count")

        ' Return number of records where column 'PersonID' is not null 

        WIDB.Search.Count("PersonCount", "PersonID")

        ' Select.Execute() prepares the statement to be sent to the Database 

        If Not WIDB.Search.Execute() Then
            Console.WriteLine(String.Format("Failed To Search Table" & vbLf & "{0} - {1}", WIDB.LastError.ToString(), WIDB.LastErrorMessage))
            Return
        End If

        While WIDB.Search.Read()
            WIDB.Search.[Get]("Count", Total)
            WIDB.Search.[Get]("PersonCount", PersonTotal)
        End While

        Console.WriteLine(String.Format("Count:  {0}  | PersonCount:  {1}", Total, PersonTotal))

        ' Good practice is to close the DB when finished 

        WIDB.Close()

    End Sub

End Module
